Qt 5.7 | Qt Charts | QML Types | ValueAxis QML Type

Qt 5.7.1 Reference Documentation

# ValueAxis QML Type

The ValueAxis element is used for manipulating chart's axes More...

Import Statement: | import QtCharts 2.1
Instantiates: | QValueAxis
Inherits: | AbstractAxis

- List of all members, including inherited members

## Properties

- labelFormat : real
- max : real
- min : real
- minorTickCount : int
- tickCount : int

## Signals

- labelFormatChanged(const QString &format)
- minorTickCountChanged(int minorTickCount)
- onMaxChanged(real max)
- onMinChanged(real min)
- tickCountChanged(int tickCount)

## Detailed Description

ValueAxis can be setup to show axis line with tick marks, grid lines and shades. Values of axis are drawn to position of ticks

Example about using ValueAxis:

      ChartView {
          ValueAxis {
              id: xAxis
              min: 0
              max: 10
          }
      // Add a few series...
      }

## Property Documentation

labelFormat : real

Defines the label format of the axis. Supported specifiers are: d, i, o, x, X, f, F, e, E, g, G, and c. See QString::sprintf() for additional details.

If the ChartView::localizeNumbers is `true`, the supported specifiers are limited to: d, e, E, f, g, G, and i. Also, only the precision modifier is supported. The rest of the formatting comes from the default QLocale of the application.

max : real

Defines the maximum value on the axis. When setting this property the min is adjusted if necessary, to ensure that the range remains valid.

min : real

Defines the minimum value on the axis. When setting this property the max is adjusted if necessary, to ensure that the range remains valid.

minorTickCount : int

Defines the number of minor ticks on the axis. This indicates how many grid lines are drawn between major ticks on the chart. Labels are not drawn for minor ticks. The default value is 0.

tickCount : int

Defines the number of ticks on the axis. This indicates how many grid lines are drawn on the chart. The default value is 5, and it can not be below 2.

## Signal Documentation

labelFormatChanged(const QString &format)

Axis emits signal when format of axis labels has changed.

minorTickCountChanged(int minorTickCount)

Axis emits signal when minorTickCount of axis has changed.

onMaxChanged(real max)

Axis emits signal when max of axis has changed.

onMinChanged(real min)

Axis emits signal when min of axis has changed.

tickCountChanged(int tickCount)

Axis emits signal when tickCount of axis has changed.